rem RPC-320 IDLE command demonstration

rem An interrupt source is selected via jumper block W8.  The source
rem can be external (W8[1-2] set) or internal through the counter.
rem The counter can cause an interrupt on a carry, borrow, or either.

rem This demonstration assumes an external interrupt.  Set jumper
rem W8[1-2].  Line 20 puts the card in low power mode.  Setting
rem P2-INT low causes an interrupt and brings the card out of this
rem mode.  Applying 5 volts between ISOA and ISOB at P2 will also
rem cause an interrupt.  Program ends after 10 interrupts.



10     ONITR 1000
20     IDLE 2
30     PRINT "Out of idle"
40     IF C<10 THEN 20
100    END 
1000   PRINT "IN interrupt"
1010  C=C+1
1020   RETI 
