rem For RPC-52 and RPC-320


10 rem LCD 5003 display test
20 config display 3
30 clear display
40 gosub 12000
50 print "Check cursor positioning"
55 gosub 500
60 Print "Check clear display."
70 gosub 500
75 clear display
80 print "Display should be clear"
90 gosub 500
100 print "Check cursor ON in 4th line, 15th position"
110 display (3,14,on)
120 gosub 500
130 print "Check cursor OFF and statement in 3rd line"
140 display (2,0,off),"No blinking cursor"
150 gosub 500
160 print "Check CR.  Cursor should be on at position 0,0 over text"
170 display (0,0,on),"Letter L has cursor",cr
180 gosub 500
190 print "Print out data.  S/B 0123456789: on second line"
200 clear display
220 display (1,0),48
225 display (1,1),49
230 for n = 50 to 58
240 display (1,n-48),n
250 next
255 gosub 500

260 print
270 print "Check CLEAR DISPLAY LINE"
280 print "Verify text is on all lines and cursor is on line 0, position 4"
290 for n = 0 to 15
300 display "hjdfjksdfjksdflsd"
310 next
320 display (0,4)
340 print "Verify first line is clear"
350 clear display line
360 gosub 500
370 print "Now verify line 3 is clear and cursor is at 3,0"
380 display (3,12)
390 clear display line
400 gosub 500

410 print "Test out wrapping.  Cursor should end up at 1,0"
420 clear display
430 gosub 700
440 gosub 500
450 print "Cursor should end up at 2,0"
460 gosub 700
470 gosub 500
480 print "Cursor should end up at 3,0"
490 goto 10000




500 print "Press any key to continue. . ."
510 do
520 until get <> 0
530 print
540 return

600 for x = 0 to 5
610 next
620 return

700 for n = 0 to 1
710 display "1234567890"
720 next
730 return


10000 gosub 700
10010 gosub 500
10020 clear display
10030 print "Test cursor ON/OFF and positioning ability"
10040 print "Cursor at 0,18, blinking"
10050 display (0,18,ON)
10060 gosub 500
10070 print "Cursor not blinking, but letter A at old spot"
10080 display (0,18,off),"A"
10090 gosub 500
10100 print "Cursor at 1,15, blinking"
10110 display (1,15,ON)
10120 gosub 500
10130 print "Cursor not blinking, letter B at 1,15"
10140 display (1,15,off),"B"
10150 gosub 500
10160 print "Cursor at 2,3, blinking"
10170 display (2,3,on)
10180 gosub 500
10190 print "Cursor not blinking, letter C at 9,18"
10200 display (9,18,off),"C"
10210 gosub 500
10220 print "Cursor at 13,15, blinking"
10230 display (13,15,on)
10240 gosub 500
10250 print "Printing starting at 15,15 but ending up on line 0, no cursor"
10260 display (15,15,off),"1234567890abcdefghijklmn"
10270 gosub 500

10300 print
10310 print "Check point graphics and display ON/OFF control"
10320 clear display
10330 display "Text on first line with cursor ON second"
10340 display (10,0),"Dot below is graphics point"
10350 display p(100,100),p(101,100),p(100,101),p(101,101)
10360 display (1,0)
10370 display on
10380 print "Verify text and graphics on screen"
10390 gosub 500
10400 print "Turn text off"
10410 display off c
10420 gosub 500
10430 print "Turn graphics off.  Nothing showing"
10440 display off g
10450 gosub 500
10460 print "Turn characters back on"
10470 display on c
10480 gosub 500
10490 print "Turn graphics back on"
10500 display on g
10510 gosub 500
10520 print "Turn graphics and characters off"
10530 display off
10540 gosub 500
10550 print "Turn graphics and characters on"
10560 display on
10570 gosub 500
10600 clear display
10610 print "Draw line using pixels only."
10620 for y = 0 to 79
10630  display p(y*2,y)
10640 next
10650 gosub 500
10700 print "Check character and graphics clear"
10710 print "Verify text appears on bottom line"
10720 display (15,0),"Last line text"
10730 gosub 500
10740 print "Verify text is cleared, line remains"
10750 clear display c
10760 gosub 500
10770 print "Verify line is cleared"
10780 clear display g
10790 gosub 500
10800 print
10810 print "Check line drawing"
10820 print "A radar sweep will be displayed.  Press a key to stop."
10830     CLEAR  DISPLAY 
10840     FOR S=0 TO 60
10850    T=2*PI*(S/60)+1.5*PI
10860    X=63*COS(T)
10870    Y=63*SIN(T)
10880    X=X+80
10890    Y=Y+64
10900     DISPLAY LINE(80,64)-(X,Y)
10910     CLEAR TICK(0)
10920    IF TICK(0)<.1 THEN 10920
10930    CLEAR  DISPLAY LINE(80,64)-(X,Y)
10940    NEXT 
10950    if get = 0 then 10840

11000 print "Check display on/off"
11010 clear display
11020 display "Text on screen"
11030 display line (0,0)-(100,100)
11040 print "Verify graphics and text on screen"
11050 gosub 500
11060 print "Nothing displayed"
11070 display off
11080 gosub 500
11090 print "Graphics on"
11100 display on g
11110 gosub 500
11120 print "Text on, graphics off"
11130 display on c
11135 display off g
11140 gosub 500
11150 print "Verify character off, graphics on"
11160 display off c
11170 display on g
11180 gosub 500
11190 print "Verify both on"
11200 display on



11900 end

rem check cursor at all lines

12000 display (0,0),"First line 0,0"
12010 display (1,1),"Second line, at 1,1"
12020 display (2,2),"Third line, @ 2,2"
12030 display (3,3),"Fourth line, 3,3"
12040 display (4,4),"line 4, 4,4"
12050 display (5,5),"Line 5, 5,5"
12060 display (6,6),"Line 6, 6,6"
12070 display (7,7),"LINE 7, 7,7"
12080 display (8,8),"Line 8, 8,8"
12090 display (9,9),"L9, 9,9"
12100 display (10,10),"L10, 10,10"
12110 display (11,11),"11,11"
12120 display (12,12),"12,12"
12130 display (13,13),"13,13"
12140 display (14,14),"14,14"
12150 display (15,15),"15,15"
12160 return
