REM keypad example
rem for RPC-52 and RPC-320


10     STRING 200,20
20    $(0)="123A456B789C*0#D"  :REM initialize keypad string
30    P=1	:REM set string position counter
40    pf = 0    :REM set flag to indicate complete string

50     PRINT "Enter a number to the keypad",

REM  rest of program continues

REM scan keypad and update display

200 GOSUB 500
210 if pf = 0 then 200
220 print 
230 print "Entered string is:",$(2)
240 pf = 0
250 goto 50


rem scan keypad.  If nothing in buffer, then exit.  Otherwise
rem process input

500   A=KEYPAD(0)
510    IF A=0 THEN return
520    IF A=12 THEN 600		:rem process clear character C
530    if a = 16 then 700	:rem process enter character D
540    a = asc($(0),a)	        :rem convert position to character
550    print chr(a),
560    asc($(2),p) = a          :rem save character in buffer
570    p = p + 1                :rem increment position pointer
580    asc($(2),p)= 13          :REM set end of string
590    return

600  REM clear input string
610  $(2) = ""
620 p = 1
630 return

700 REM enter processing
720 p = 1
730 pf = 1
740 return
